/*

* Copyright 2009 by GRUPO IE, Inc.

* 

* Private and Confidential

* Code contained in this document is the property of GRUPO IE. 

* It is for the exclusive use of designated employees 

* and not for distribution without prior written

* authorization.

*/

/*

* Q02bQ021MT00.java

*

* Created on 13/11/09 10:48:44

*/

package q02b.exe.tablasBD;

import java.sql.SQLException;

import java.sql.ResultSet;

import java.sql.Connection;

import q02b.exe.arquitectura.dataobjects.Q02bDAOException;

import q02b.exe.arquitectura.utils.tablasBD.*;

import java.util.ArrayList;

//import java.math.BigDecimal;



/*

*

* @author automatic generated

* @version 1.0

*/

public class Q02bTablaBDQ021MS00 extends Q02bTablaBD implements Q02bITablaBDQ021MS00 {

    private static final long serialVersionUID =1L;

    /** Constante para la propiedad Q021MT00_ID */

    public final static int COLUMN_Q021MT00_ID = 1;

    /** Constante para la propiedad Q021MT00_ID */

    public final static String NOMCOLUMN_Q021MT00_ID = "Q021MT00_ID";

    /** Constante para la propiedad Q021MT00_ID */

    public final static int TAM_MAXIMO_Q021MT00_ID = 8;

    /** Constante para la propiedad Q022FT00_IDUSUARIO */

    public final static int COLUMN_Q022FT00_IDUSUARIO = 2;

    /** Constante para la propiedad Q022FT00_IDUSUARIO */

    public final static String NOMCOLUMN_Q022FT00_IDUSUARIO = "Q022FT00_IDUSUARIO";

    /** Constante para la propiedad Q022FT00_IDUSUARIO */

    public final static int TAM_MAXIMO_Q022FT00_IDUSUARIO = 8;

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static int COLUMN_FCA02T00_CODPROVINC = 3;

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static String NOMCOLUMN_FCA02T00_CODPROVINC = "FCA02T00_CODPROVINC";

    /** Constante para la propiedad FCA02T00_CODPROVINC */

    public final static int TAM_MAXIMO_FCA02T00_CODPROVINC = 2;

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static int COLUMN_FCA02T00_CODMUNICIP = 4;

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static String NOMCOLUMN_FCA02T00_CODMUNICIP = "FCA02T00_CODMUNICIP";

    /** Constante para la propiedad FCA02T00_CODMUNICIP */

    public final static int TAM_MAXIMO_FCA02T00_CODMUNICIP = 3;

    /** Constante para la propiedad NUMCOLUMNAS */

    public final static int COLUMN_NUMCOLUMNAS = 4;

    protected StringBuffer queryLog = new StringBuffer();

    /** Holds value of property Q021MT00_ID*/

    protected Integer Q021MT00_ID = null;

    /** Holds value of property Q021MT00_ID_WHERE */

    protected Integer Q021MT00_ID_WHERE = null;

    protected boolean Q021MT00_ID_MODIF = false;

    /** Holds value of property Q022FT00_IDUSUARIO*/

    protected Integer Q022FT00_IDUSUARIO = null;

    /** Holds value of property Q022FT00_IDUSUARIO_WHERE */

    protected Integer Q022FT00_IDUSUARIO_WHERE = null;

    protected boolean Q022FT00_IDUSUARIO_MODIF = false;

    /** Holds value of property FCA02T00_CODPROVINC*/

    protected String FCA02T00_CODPROVINC = null;

    /** Holds value of property FCA02T00_CODPROVINC_WHERE */

    protected String FCA02T00_CODPROVINC_WHERE = null;

    protected boolean FCA02T00_CODPROVINC_MODIF = false;

    /** Holds value of property FCA02T00_CODMUNICIP*/

    protected String FCA02T00_CODMUNICIP = null;

    /** Holds value of property FCA02T00_CODMUNICIP_WHERE */

    protected String FCA02T00_CODMUNICIP_WHERE = null;

    protected boolean FCA02T00_CODMUNICIP_MODIF = false;

    /** Holds value of property numMaxRegistros. */

    protected int  numMaxRegistros = 0;

    /** Holds value of property numInicio. */

    protected int  numInicio = 0;

    /** Holds value of property numFinal. */

    protected int  numFinal = 0;

    /** Holds value of property orderBy. */

    protected String  orderBy = null;

    /** Holds value of property limitRows. */

    protected boolean  limitRows = false;

    /** Holds value of property aditionalWhere. */

    protected String  aditionalWhere = null;

    /** Holds value of property initialWhere. */

    protected String  initialWhere = null;

    /** Holds value of property fixedWhere. */

    protected String  fixedWhere = null;

    /** Holds value of property distinct. */

    protected String  distinct = null;

    /** Holds value of property groupBy. */

    protected String  groupBy = null;

    /** Holds value of property max. */

    protected String  max = null;

    /** Holds value of property fechaClase. */

    protected static String sFechaClase = "13/11/09 10:48:44";

    protected String columnas[] =  {"Q021MT00_ID", "Q022FT00_IDUSUARIO", "FCA02T00_CODPROVINC", "FCA02T00_CODMUNICIP"};

    protected int tipos[] =  {3, 3, 12, 12};

    protected int longitudes[] =  {8, 8, 2, 3};

    protected ArrayList columnasSelect = new ArrayList();

    protected StringBuffer sbColumnasSelect = new StringBuffer();

    protected ArrayList alias = new ArrayList();

    protected String columnasPK[] =  {"Q021MT00_ID"};

    protected String columnasFK[] =  {"Q022FT00_IDUSUARIO"};

    protected String tablasFK[] =  {"Q022FT00"};

    protected boolean nullables[] =  {false,false,false,false};



    protected Class arrClases[]={java.sql.Connection.class};

    protected Object arrObjetos[]={connection};

    protected String tableFrom="Q021MS00";

    protected int regModif=0;

    protected boolean uncommittedRead=false;

    protected boolean forUpdate=false;

    protected Q02bITablaBDQ021MS00 iTablaBDQ021MS00 = null;

    /** Creates new Q021MT00 */

    public Q02bTablaBDQ021MS00() {

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Creates new Q021MS00 */

    public Q02bTablaBDQ021MS00(Connection con) {

        connection=con;

        setTableName(this.getClass().getName().substring(this.getClass().getName().lastIndexOf(".")));

    }



    /** Method reset */

    public void reset() {

        iTablaBDQ021MS00.setQ021MT00_ID(null);

        iTablaBDQ021MS00.setQ021MT00_ID_WHERE(null);

        iTablaBDQ021MS00.setQ021MT00_ID_MODIF(false);

        iTablaBDQ021MS00.setQ022FT00_IDUSUARIO(null);

        iTablaBDQ021MS00.setQ022FT00_IDUSUARIO_WHERE(null);

        iTablaBDQ021MS00.setQ022FT00_IDUSUARIO_MODIF(false);

        iTablaBDQ021MS00.setFCA02T00_CODPROVINC(null);

        iTablaBDQ021MS00.setFCA02T00_CODPROVINC_WHERE(null);

        iTablaBDQ021MS00.setFCA02T00_CODPROVINC_MODIF(false);

        iTablaBDQ021MS00.setFCA02T00_CODMUNICIP(null);

        iTablaBDQ021MS00.setFCA02T00_CODMUNICIP_WHERE(null);

        iTablaBDQ021MS00.setFCA02T00_CODMUNICIP_MODIF(false);

        iTablaBDQ021MS00.setNumMaxRegistros(0);

        iTablaBDQ021MS00.setNumInicio(0);

        iTablaBDQ021MS00.setNumFinal(0);

        iTablaBDQ021MS00.setOrderBy(null);

        iTablaBDQ021MS00.setAditionalWhere(null);

        iTablaBDQ021MS00.setInitialWhere(null);

        iTablaBDQ021MS00.setFixedWhere(null);

        iTablaBDQ021MS00.setDistinct(null);

        iTablaBDQ021MS00.setMax(null);

        columnasSelect = null;

        tableFrom = "Q021MS00";

        iTablaBDQ021MS00.setUncommittedRead(false);

        iTablaBDQ021MS00.setForUpdate(false);

        iTablaBDQ021MS00.setGroupBy(null);

    }



    /** Method addColumnSelect(nombreColumna) 

    * @param nombreColumna New value of property columnasSelect.

    * Este método añade una nueva columna a mostrar en el resultado de la select

    * Añadir las columnas usando las constantes de la tabla

    */

    public void addColumnSelect(String nombreColumna) {

        iTablaBDQ021MS00.addColumnSelect(nombreColumna);

    }



    /** Method clearColumnsSelect() 

    * Este método vacia el ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void clearColumnsSelect() {

        iTablaBDQ021MS00.clearColumnsSelect();

    }



    /** Method setColumnsSelect(listaColumnas) 

    * Este método da valor al ArrayList con los nombres de las columnas sobre los q hacer la select

    */

    public void setColumnsSelect(String listaColumnas) {

        iTablaBDQ021MS00.setColumnsSelect(listaColumnas);

    }



    /** Method setTableFrom(listaTablas) 

    * @param listaTablas New value of property tableFrom.

    * Este método añade la lista de tablas pasadas por parametro a la from .

    * Cada tabla de la lista debe ir separada por comas

    */

    public void setTableFrom(String listaTablas) {

        iTablaBDQ021MS00.setTableFrom(listaTablas);

    }



    /** Method getTableFrom() 

    * Este método devuelve un String con los nombres de las tablas sobres las q hacer la

    * from separadas por comas.

    */

    public String getTableFrom() {

        return iTablaBDQ021MS00.getTableFrom();

    }



    /** Method getRegModif() 

    * Este método devuelve un int con el nº de regs modificados

    */

    public int getRegModif() {

        return iTablaBDQ021MS00.getRegModif();

    }



    /** Method setUncommittedRead() 

    * Este método es válido SOLO EN DB2. Permite 'lecturas sucias' si se establece a true

    */

    public void setUncommittedRead(boolean ur) {

        iTablaBDQ021MS00.setUncommittedRead(ur);

    }



    /** Method getUncommittedRead() 

    * Este método es válido SOLO EN DB2.Devuelve el valor de UncommittedRead

    */

    public boolean getUncommittedRead() {

        return iTablaBDQ021MS00.getUncommittedRead();

    }



    /** Method setForUpdate() 

    * Este método permite añadir la clausula FOR UPDATE si se establece a true

    */

    public void setForUpdate(boolean fu) {

        iTablaBDQ021MS00.setForUpdate(fu);

    }



    /** Method getForUpdate() 

    * Este método devuelve el valor de forUpdate

    */

    public boolean getForUpdate() {

        return iTablaBDQ021MS00.getForUpdate();

    }



    /** Method setGroupBy(listaColumnas) 

    * @param listaColumnas New value of property groupBy.

    * Este método da el valor de la lista de columnas pasadas por parametro a la groupby .

    * Cada columna de la lista debe ir separada por comas

    */

    public void setGroupBy(String listaColumnas) {

             iTablaBDQ021MS00.setGroupBy(listaColumnas);

    }



    /** Method getGroupBy() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * groupBy separadas por comas.

    */

    public String getGroupBy() {

        return iTablaBDQ021MS00.getGroupBy();

    }



    /** Method getColumnsSelect() 

    * Este método devuelve un String con los nombres de las columnas sobres las q hacer la

    * select separadas por comas.

    */

    public String getColumnsSelect() {

        return iTablaBDQ021MS00.getColumnsSelect();

    }



    /** Method select(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet select(String where)throws SQLException,Q02bDAOException  {

        return iTablaBDQ021MS00.select(where);

    }



    /** Method selectCount(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectCount(String where)throws SQLException  {

        return iTablaBDQ021MS00.selectCount(where);

    }



    /** Method selectDistinct(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct(String where)throws SQLException  {

        return iTablaBDQ021MS00.selectDistinct(where);

    }



    /** Method selectMax(where) 

    * @param where New value of property WHERE.

    * @return Value of the resultSet.

    */

    public ResultSet selectMax(String where)throws SQLException  {

        return iTablaBDQ021MS00.selectMax(where);

    }



    /** Method select() 

    * @return Value of the resultSet.

    */

    public ResultSet select()throws SQLException,Q02bDAOException  {

        return iTablaBDQ021MS00.select();

    }



    /** Method selectCount() 

    * @return Value of the resultSet.

    */

    public ResultSet selectCount()throws SQLException  {

        return iTablaBDQ021MS00.selectCount();

    }



    /** Method selectDistinct() 

    * @return Value of the resultSet.

    */

    public ResultSet selectDistinct()throws SQLException  {

        return iTablaBDQ021MS00.selectDistinct();

    }



    /** Method selectMax() 

    * @return Value of the resultSet.

    */

    public ResultSet selectMax()throws SQLException  {

        return iTablaBDQ021MS00.selectMax();

    }



    /** Method update() */

    public void update()throws SQLException  {

        iTablaBDQ021MS00.update();

        }



    /** Method update(where) 

    * @param where New value of property WHERE.

    */

    public void update(String  where )throws SQLException  {

        iTablaBDQ021MS00.update(where);

    }



    /** Method delete(where) 

    * @param where New value of property WHERE.

    */

    public void delete(String where)throws SQLException  {

        iTablaBDQ021MS00.delete(where);

    }



    /** Method delete */

    public void delete()throws SQLException  {

        iTablaBDQ021MS00.delete();

    }



    /** Method insert */

    public void insert()throws SQLException  {

        iTablaBDQ021MS00.insert();

    }



    /** Setter for property Q021MT00_ID.

    * @param valor New value of propertyQ021MT00_ID.

    */

    public void setQ021MT00_ID(int valor) {

        if (iTablaBDQ021MS00==null){

        this.Q021MT00_ID=new Integer(valor);

        }else{

           iTablaBDQ021MS00.setQ021MT00_ID(valor);

        }

    }



    public void setQ021MT00_ID(Integer valor) {

        if (iTablaBDQ021MS00==null){

        this.Q021MT00_ID=valor;

        if (valor==null){

             this.Q021MT00_ID_MODIF=true;

        }

        }else{

           iTablaBDQ021MS00.setQ021MT00_ID(valor);

           if (valor==null){

                iTablaBDQ021MS00.setQ021MT00_ID_MODIF(true);

           }

        }

    }



    public void setQ021MT00_ID_WHERE(int valor) {

        if (iTablaBDQ021MS00==null){

        this.Q021MT00_ID_WHERE=new Integer(valor);

        }else{

           iTablaBDQ021MS00.setQ021MT00_ID_WHERE(valor);

        }

    }



    public void setQ021MT00_ID_WHERE(Integer valor) {

        if (iTablaBDQ021MS00==null){

        this.Q021MT00_ID_WHERE=valor;

        }else{

           iTablaBDQ021MS00.setQ021MT00_ID_WHERE(valor);

        }

    }



    public void setQ021MT00_ID_MODIF(boolean valor) {

        if (iTablaBDQ021MS00==null){

        this.Q021MT00_ID_MODIF=valor;

        }else{

           iTablaBDQ021MS00.setQ021MT00_ID_MODIF(valor);

        }

    }



    /** Setter for property Q022FT00_IDUSUARIO.

    * @param valor New value of propertyQ022FT00_IDUSUARIO.

    */

    public void setQ022FT00_IDUSUARIO(int valor) {

        if (iTablaBDQ021MS00==null){

        this.Q022FT00_IDUSUARIO=new Integer(valor);

        }else{

           iTablaBDQ021MS00.setQ022FT00_IDUSUARIO(valor);

        }

    }



    public void setQ022FT00_IDUSUARIO(Integer valor) {

        if (iTablaBDQ021MS00==null){

        this.Q022FT00_IDUSUARIO=valor;

        if (valor==null){

             this.Q022FT00_IDUSUARIO_MODIF=true;

        }

        }else{

           iTablaBDQ021MS00.setQ022FT00_IDUSUARIO(valor);

           if (valor==null){

                iTablaBDQ021MS00.setQ022FT00_IDUSUARIO_MODIF(true);

           }

        }

    }



    public void setQ022FT00_IDUSUARIO_WHERE(int valor) {

        if (iTablaBDQ021MS00==null){

        this.Q022FT00_IDUSUARIO_WHERE=new Integer(valor);

        }else{

           iTablaBDQ021MS00.setQ022FT00_IDUSUARIO_WHERE(valor);

        }

    }



    public void setQ022FT00_IDUSUARIO_WHERE(Integer valor) {

        if (iTablaBDQ021MS00==null){

        this.Q022FT00_IDUSUARIO_WHERE=valor;

        }else{

           iTablaBDQ021MS00.setQ022FT00_IDUSUARIO_WHERE(valor);

        }

    }



    public void setQ022FT00_IDUSUARIO_MODIF(boolean valor) {

        if (iTablaBDQ021MS00==null){

        this.Q022FT00_IDUSUARIO_MODIF=valor;

        }else{

           iTablaBDQ021MS00.setQ022FT00_IDUSUARIO_MODIF(valor);

        }

    }



    /** Setter for property FCA02T00_CODPROVINC.

    * @param valor New value of propertyFCA02T00_CODPROVINC.

    */

    public void setFCA02T00_CODPROVINC(String valor) {

        if (iTablaBDQ021MS00==null){

        this.FCA02T00_CODPROVINC=valor;

        if (valor==null){

            this.FCA02T00_CODPROVINC_MODIF =true;

        }

        }else{

           iTablaBDQ021MS00.setFCA02T00_CODPROVINC(valor);

           if (valor==null){

              iTablaBDQ021MS00.setFCA02T00_CODPROVINC_MODIF(true);

           }

        }

    }



    public void setFCA02T00_CODPROVINC_WHERE(String valor) {

        if (iTablaBDQ021MS00==null){

        this.FCA02T00_CODPROVINC_WHERE=valor;

        }else{

           iTablaBDQ021MS00.setFCA02T00_CODPROVINC_WHERE(valor);

        }

    }



    public void setFCA02T00_CODPROVINC_MODIF(boolean valor) {

        if (iTablaBDQ021MS00==null){

        this.FCA02T00_CODPROVINC_MODIF=valor;

        }else{

           iTablaBDQ021MS00.setFCA02T00_CODPROVINC_MODIF(valor);

        }

    }



    /** Setter for property FCA02T00_CODMUNICIP.

    * @param valor New value of propertyFCA02T00_CODMUNICIP.

    */

    public void setFCA02T00_CODMUNICIP(String valor) {

        if (iTablaBDQ021MS00==null){

        this.FCA02T00_CODMUNICIP=valor;

        if (valor==null){

            this.FCA02T00_CODMUNICIP_MODIF =true;

        }

        }else{

           iTablaBDQ021MS00.setFCA02T00_CODMUNICIP(valor);

           if (valor==null){

              iTablaBDQ021MS00.setFCA02T00_CODMUNICIP_MODIF(true);

           }

        }

    }



    public void setFCA02T00_CODMUNICIP_WHERE(String valor) {

        if (iTablaBDQ021MS00==null){

        this.FCA02T00_CODMUNICIP_WHERE=valor;

        }else{

           iTablaBDQ021MS00.setFCA02T00_CODMUNICIP_WHERE(valor);

        }

    }



    public void setFCA02T00_CODMUNICIP_MODIF(boolean valor) {

        if (iTablaBDQ021MS00==null){

        this.FCA02T00_CODMUNICIP_MODIF=valor;

        }else{

           iTablaBDQ021MS00.setFCA02T00_CODMUNICIP_MODIF(valor);

        }

    }



    /** Getter for property Q021MT00_ID.

    * @return Value of property Q021MT00_ID.

    */

    public Integer getQ021MT00_ID() {

        if (iTablaBDQ021MS00==null){

            return this.Q021MT00_ID;

        }else{

           return iTablaBDQ021MS00.getQ021MT00_ID();

        }

    }



    /** Getter for property Q021MT00_ID_WHERE.

    * @return Value of property Q021MT00_ID_WHERE.

    */

    public Integer getQ021MT00_ID_WHERE() {

        if (iTablaBDQ021MS00==null){

            return this.Q021MT00_ID_WHERE;

        }else{

           return iTablaBDQ021MS00.getQ021MT00_ID_WHERE();

        }

    }



    /** Getter for property Q022FT00_IDUSUARIO.

    * @return Value of property Q022FT00_IDUSUARIO.

    */

    public Integer getQ022FT00_IDUSUARIO() {

        if (iTablaBDQ021MS00==null){

            return this.Q022FT00_IDUSUARIO;

        }else{

           return iTablaBDQ021MS00.getQ022FT00_IDUSUARIO();

        }

    }



    /** Getter for property Q022FT00_IDUSUARIO_WHERE.

    * @return Value of property Q022FT00_IDUSUARIO_WHERE.

    */

    public Integer getQ022FT00_IDUSUARIO_WHERE() {

        if (iTablaBDQ021MS00==null){

            return this.Q022FT00_IDUSUARIO_WHERE;

        }else{

           return iTablaBDQ021MS00.getQ022FT00_IDUSUARIO_WHERE();

        }

    }



    /** Getter for property FCA02T00_CODPROVINC.

    * @return Value of property FCA02T00_CODPROVINC.

    */

    public String getFCA02T00_CODPROVINC() {

        if (iTablaBDQ021MS00==null){

            return this.FCA02T00_CODPROVINC;

        }else{

           return iTablaBDQ021MS00.getFCA02T00_CODPROVINC();

        }

    }



    /** Getter for property FCA02T00_CODPROVINC_WHERE.

    * @return Value of property FCA02T00_CODPROVINC_WHERE.

    */

    public String getFCA02T00_CODPROVINC_WHERE() {

        if (iTablaBDQ021MS00==null){

            return this.FCA02T00_CODPROVINC_WHERE;

        }else{

           return iTablaBDQ021MS00.getFCA02T00_CODPROVINC_WHERE();

        }

    }



    /** Getter for property FCA02T00_CODMUNICIP.

    * @return Value of property FCA02T00_CODMUNICIP.

    */

    public String getFCA02T00_CODMUNICIP() {

        if (iTablaBDQ021MS00==null){

            return this.FCA02T00_CODMUNICIP;

        }else{

           return iTablaBDQ021MS00.getFCA02T00_CODMUNICIP();

        }

    }



    /** Getter for property FCA02T00_CODMUNICIP_WHERE.

    * @return Value of property FCA02T00_CODMUNICIP_WHERE.

    */

    public String getFCA02T00_CODMUNICIP_WHERE() {

        if (iTablaBDQ021MS00==null){

            return this.FCA02T00_CODMUNICIP_WHERE;

        }else{

           return iTablaBDQ021MS00.getFCA02T00_CODMUNICIP_WHERE();

        }

    }



    /** Setter for property idConexion.

    * @param valor New value of property idConexion.

    */

    public void setIdConexion(String valor) {

        if (iTablaBDQ021MS00==null){

           this.idConexion = valor;

        }else{

           iTablaBDQ021MS00.setIdConexion(valor);

        }

    }



    /** Getter for property fechaClase.

    * @return Value of property fechaClase.

    */

    public String getFechaClase() {

        if (iTablaBDQ021MS00==null){

           return sFechaClase;

        }else{

           return iTablaBDQ021MS00.getFechaClase();

        }

    }



    /** Getter for property idConexion.

    * @return Value of property idConexion.

    */

    public String getIdConexion() {

        if (iTablaBDQ021MS00==null){

           return this.idConexion;

        }else{

           return iTablaBDQ021MS00.getIdConexion();

        }

    }



    /** Getter for property queryLog.

    * @return Value of property queryLog.

    * variable donde se guarda la ultima sentencia ejecutada

    */

    public String getQueryLog() {

        if (iTablaBDQ021MS00==null){

           return this.queryLog.toString();

        }else{

           return iTablaBDQ021MS00.getQueryLog();

        }

    }



    /** Setter for property numInicio.

    * @param valor New value of property numInicio.

    */

    public void setNumInicio(int valor) {

        if (iTablaBDQ021MS00==null){

        this.numInicio = valor;

        }else{

           iTablaBDQ021MS00.setNumInicio(valor);

        }

    }



    /** Getter for property numInicio.

    * @return Value of property numInicio.

    */

    public int getNumInicio() {

        if (iTablaBDQ021MS00==null){

           return this.numInicio;

        }else{

           return iTablaBDQ021MS00.getNumInicio();

        }

    }



    /** Setter for property numFinal.

    * @param valor New value of property numFinal.

    */

    public void setNumFinal(int valor) {

        if (iTablaBDQ021MS00==null){

        this.numFinal = valor;

        }else{

           iTablaBDQ021MS00.setNumFinal(valor);

        }

    }



    /** Getter for property numFinal.

    * @return Value of property numFinal.

    */

    public int getNumFinal() {

        if (iTablaBDQ021MS00==null){

           return this.numFinal;

        }else{

           return iTablaBDQ021MS00.getNumFinal();

        }

    }



    /** Setter for property numMaxRegistros.

    * @param valor New value of property numMaxRegistros.

    */

    public void setNumMaxRegistros(int valor) {

        if (iTablaBDQ021MS00==null){

        this.numMaxRegistros = valor;

        }else{

           iTablaBDQ021MS00.setNumMaxRegistros(valor);

        }

    }



    /** Getter for property numMaxRegistros.

    * @return Value of property numMaxRegistros.

    */

    public int getNumMaxRegistros() {

        if (iTablaBDQ021MS00==null){

           return this.numMaxRegistros;

        }else{

           return iTablaBDQ021MS00.getNumMaxRegistros();

        }

    }



    /** Setter for property limitRows.

    * @param valor New value of property limitRows.

    */

    public void setLimitRows(boolean valor) {

        if (iTablaBDQ021MS00==null){

        this.limitRows = valor;

        }else{

           iTablaBDQ021MS00.setLimitRows(valor);

        }

    }



    /** Getter for property limitRows.

    * @return Value of property limitRows.

    */

    public boolean getLimitRows() {

        if (iTablaBDQ021MS00==null){

           return this.limitRows;

        }else{

           return iTablaBDQ021MS00.getLimitRows();

        }

    }



    /** Getter for property connection.

    * @return Value of property connection.

    */

    public Connection getConn() {

        if (iTablaBDQ021MS00==null){

           return this.connection;

        }else{

           return iTablaBDQ021MS00.getConn();

        }

    }



    /** Setter for property orderBy.

    * @param valor New value of property orderBy.

    */

    public void setOrderBy(String valor) {

        if (iTablaBDQ021MS00==null){

           this.orderBy = valor;

        }else{

           iTablaBDQ021MS00.setOrderBy(valor);

        }

    }



    /** Getter for property orderBy.

    * @return Value of property orderBy.

    */

    public String getOrderBy() {

        if (iTablaBDQ021MS00==null){

           return this.orderBy;

        }else{

           return iTablaBDQ021MS00.getOrderBy();

        }

    }



    /** Setter for property aditionalWhere.

    * @param valor New value of property aditionalWhere.

    */

    public void setAditionalWhere(String valor) {

        if (iTablaBDQ021MS00==null){

           this.aditionalWhere = valor;

        }else{

           iTablaBDQ021MS00.setAditionalWhere(valor);

        }

    }



    /** Getter for property aditionalWhere.

    * @return Value of property aditionalWhere.

    */

    public String getAditionalWhere() {

        if (iTablaBDQ021MS00==null){

           return this.aditionalWhere;

        }else{

           return iTablaBDQ021MS00.getAditionalWhere();

        }

    }



    /** Getter for property initialWhere.

    * @return Value of property initialWhere.

    */

    public String getInitialWhere() {

        if (iTablaBDQ021MS00==null){

           return this.initialWhere;

        }else{

           return iTablaBDQ021MS00.getInitialWhere();

        }

    }



    /** Setter for property initialWhere.

    * @param valor New value of property initialWhere.

    */

    public void setInitialWhere(String valor) {

        if (iTablaBDQ021MS00==null){

           this.initialWhere = valor;

        }else{

           iTablaBDQ021MS00.setInitialWhere(valor);

        }

    }



    /** Getter for property fixedWhere.

    * @return Value of property fixedWhere.

    */

    public String getFixedWhere() {

        if (iTablaBDQ021MS00==null){

           return this.fixedWhere;

        }else{

           return iTablaBDQ021MS00.getFixedWhere();

        }

    }



    /** Setter for property fixedWhere.

    * @param valor New value of property fixedWhere.

    */

    public void setFixedWhere(String valor) {

        if (iTablaBDQ021MS00==null){

           this.fixedWhere = valor;

        }else{

           iTablaBDQ021MS00.setFixedWhere(valor);

        }

    }



    /** Setter for property distinct.

    * @param valor New value of property distinct.

    */

    public void setDistinct(String valor) {

        if (iTablaBDQ021MS00==null){

           this.distinct = valor;

        }else{

           iTablaBDQ021MS00.setDistinct(valor);

        }

    }



    /** Getter for property distinct.

    * @return Value of property distinct.

    */

    public String getDistinct() {

        if (iTablaBDQ021MS00==null){

           return this.distinct;

        }else{

           return iTablaBDQ021MS00.getDistinct();

        }

    }



    /** Setter for property max.

    * @param valor New value of property max.

    */

    public void setMax(String valor) {

        if (iTablaBDQ021MS00==null){

           this.max = valor;

        }else{

           iTablaBDQ021MS00.setMax(valor);

        }

    }



    /** Getter for property max.

    * @return Value of property max.

    */

    public String getMax() {

        if (iTablaBDQ021MS00==null){

           return this.max;

        }else{

           return iTablaBDQ021MS00.getMax();

        }

    }



    /** Method freeResources.

    * @return void.

    */

    public void freeResources() {

        if (iTablaBDQ021MS00==null){

           super.freeResources();

        }else{

           iTablaBDQ021MS00.freeResources();

        }

    }



    /** Method freeResourcesNotConnection.

    * @return void.

    */

    public void freeResourcesNotConnection() {

        if (iTablaBDQ021MS00==null){

           super.freeResourcesNotConnection();

        }else{

           iTablaBDQ021MS00.freeResourcesNotConnection();

        }

    }



    /** Method getColumnas.

    * @return String[].

    */

    public String[] getColumnas() {

        return this.columnas;

    }



    /** Method getColumnasPK.

    * @return String[].

    */

    public String[] getColumnasPK() {

        return this.columnasPK;

    }



    /** Method getTipos.

    * @return int[].

    */

    public int[] getTipos() {

        return this.tipos;

    }



}

